<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion> 
	<parent>
		<groupId>gov.va.med.repos.lib</groupId>
		<version>4.0.0</version>
		<artifactId>repos-modules</artifactId>
		<relativePath>../parentModule/pom.xml</relativePath>
	</parent>
	<artifactId>testharness</artifactId>
	<name>Repositories: cds-testharness</name>
	<version>6.0.1-SNAPSHOT</version>
	<description>Contains extensions of Junit/Spring test classes that are customised to Repositories applications.</description>
	<packaging>jar</packaging>
	
	<!-- 
    <scm>
        <url>https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_testharness_main_stream_rws</url>
        <connection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_testharness_main_stream_rws</connection>
        <developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_testharness_main_stream_rws</developerConnection>
    </scm>
    -->
    
    <scm>
        <url>${env.SCM_URL}:${env.MODULE_TESTHARNESS_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.MODULE_TESTHARNESS_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.MODULE_TESTHARNESS_RB_RWS}</developerConnection>
    </scm>
    
    <properties>
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>common</artifactId>
			<version>${common.version}</version>
		</dependency>
		<dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymock</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>xmlunit</groupId>
			<artifactId>xmlunit</artifactId>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.thoughtworks.xstream</groupId>
			<artifactId>xstream</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>hsqldb</groupId>
			<artifactId>hsqldb</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-jcl</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-slf4j-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-dbcp2</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		</dependency>
		<dependency>
			<groupId>oracle</groupId>
			<artifactId>ojdbc6</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>
		<dependency>
				<groupId>com.intersys</groupId>
				<artifactId>cachedb</artifactId>
				<version>2015.2.1.705</version>
			</dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>
			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			
					<plugin>
        				<groupId>org.apache.maven.plugins</groupId>
            			<artifactId>maven-scm-plugin</artifactId>
            			<version>1.9.1</version>
            			<dependencies>
            				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-provider-jazz</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-api</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
								<groupId>org.apache.maven.scm</groupId>
								<artifactId>maven-scm-client</artifactId>
								<version>1.9.1</version>
	      					</dependency>
            			</dependencies>
          			</plugin>
        
          			<plugin>
						<groupId>org.apache.maven.plugins</groupId>
        				<artifactId>maven-release-plugin</artifactId>
        				<version>2.5</version>
          			</plugin>	
          			
            		<plugin>
                		<groupId>com.fortify.ps.maven.plugin</groupId>
                		<artifactId>sca-maven-plugin</artifactId>
                		<version>4.30</version>
             		</plugin>
                       			
		</plugins>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
				<filtering>true</filtering>
			</testResource>
			<testResource>
				<directory>src/test/resources</directory>
				<excludes>
					<exclude>log4j2.xml</exclude>
				</excludes>
				<filtering>true</filtering>
			</testResource>
		</testResources>
	</build>
</project>
